• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming / Panning
    • Chart using JSON Data
    • Chart with Animation
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Crosshair
    • Chart with Scale Breaks
    • Chart with Logarithmic Axis
    • Performance with 50,000 Data Points
    • Responsive Charts
    • Chart with Drilldown
  • LINE CHARTS
    • Line Chart with Formatted Axes Labels
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabel
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabel
  • AREA CHARTS
    • Area Chart with Date-Time Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Indexlabels
    • Pie Chart with Index Labels Placed Inside
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart
    • Funnel Chart with Custom Neck
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Candlestick Chart from JSON
    • OHLC Chart
    • OHLC with Trendline
    • Box and Whisker Chart
    • Box and Whisker Chart with Customization
  • BUBBLE & SCATTER CHARTS
    • Scatter Chart
    • Scatter Chart with Custom Markers
    • Bubble Chart
  • COMBINATION CHARTS
    • Error chart
    • Error Line Chart
    • Pareto Chart
    • Combination of Column, Line and Area Chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with SplineArea & Range Selector
  • ANGULAR, VUE.JS, JAVASCRIPT, JQUERY
    • Angular Charts
    • Vue.js Charts
    • jQuery Charts
    • JavaScript Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • Python Charts
    • JSP Charts
    • Spring MVC Charts

React Stacked Area 100% Charts & Graphs

Download React Chart Samples
  • React Chart Samples
  • JavaScript Chart Samples
  • Angular Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Stacked Area 100% Charts are similar to Stacked Area except that areas are rendered as a percentage of total value at any given point. Below example shows React Stacked Area 100% Chart along with code that you can try running locally.

  • React Code
/* App.js */
import React, { Component } from 'react';
import CanvasJSReact from '@canvasjs/react-charts';
//var CanvasJSReact = require('@canvasjs/react-charts');

var CanvasJS = CanvasJSReact.CanvasJS;
var CanvasJSChart = CanvasJSReact.CanvasJSChart;
class App extends Component {
	render() {
		const options = {
			animationEnabled: true,
			exportEnabled: true,
			title:{
				text: "Global Sales"
			},
			axisY: {
				title: "Sales",
				suffix: "%"
			},
			toolTip: {
				shared: true,
				reversed: true
			},
			legend: {
				verticalAlign: "center",
				horizontalAlign: "right",
				reversed: true
			},
			data: [
			{
				type: "stackedArea100",
				name: "US",
				showInLegend: true,
				xValueFormatString: "YYYY",
				dataPoints: [
					{ x: new Date(2000, 0), y: 40 },
					{ x: new Date(2001, 0), y: 62 },
					{ x: new Date(2002, 0), y: 53 },
					{ x: new Date(2003, 0), y: 49 },
					{ x: new Date(2004, 0), y: 52 },
					{ x: new Date(2005, 0), y: 32 },
					{ x: new Date(2006, 0), y: 28 },
					{ x: new Date(2007, 0), y: 46 },
					{ x: new Date(2008, 0), y: 55 },
					{ x: new Date(2009, 0), y: 88 },
					{ x: new Date(2010, 0), y: 68 },
					{ x: new Date(2011, 0), y: 63 },
					{ x: new Date(2012, 0), y: 65 },
					{ x: new Date(2013, 0), y: 68 },
					{ x: new Date(2014, 0), y: 48 },
					{ x: new Date(2015, 0), y: 39 },
					{ x: new Date(2016, 0), y: 20 },
					{ x: new Date(2017, 0), y: 26 }
				]
			},
			{
				type: "stackedArea100",
				name: "France",
				showInLegend: true,
				xValueFormatString: "YYYY",
				dataPoints: [
					{ x: new Date(2000, 0), y: 20 },
					{ x: new Date(2001, 0), y: 12 },
					{ x: new Date(2002, 0), y: 19 },
					{ x: new Date(2003, 0), y: 28 },
					{ x: new Date(2004, 0), y: 42 },
					{ x: new Date(2005, 0), y: 75 },
					{ x: new Date(2006, 0), y: 85 },
					{ x: new Date(2007, 0), y: 55 },
					{ x: new Date(2008, 0), y: 45 },
					{ x: new Date(2009, 0), y: 38 },
					{ x: new Date(2010, 0), y: 29 },
					{ x: new Date(2011, 0), y: 19 },
					{ x: new Date(2012, 0), y: 14 },
					{ x: new Date(2013, 0), y: 18 },
					{ x: new Date(2014, 0), y: 16 },
					{ x: new Date(2015, 0), y: 13 },
					{ x: new Date(2016, 0), y: 10 },
					{ x: new Date(2017, 0), y: 14 }
				]
			},
			{
				type: "stackedArea100",
				name: "UK",
				showInLegend: true,
				xValueFormatString: "YYYY",
				dataPoints: [
					{ x: new Date(2000, 0), y: 0 },
					{ x: new Date(2001, 0), y: 6 },
					{ x: new Date(2002, 0), y: 8 },
					{ x: new Date(2003, 0), y: 10 },
					{ x: new Date(2004, 0), y: 12 },
					{ x: new Date(2005, 0), y: 15 },
					{ x: new Date(2006, 0), y: 17 },
					{ x: new Date(2007, 0), y: 18 },
					{ x: new Date(2008, 0), y: 25 },
					{ x: new Date(2009, 0), y: 18 },
					{ x: new Date(2010, 0), y: 24 },
					{ x: new Date(2011, 0), y: 29 },
					{ x: new Date(2012, 0), y: 31 },
					{ x: new Date(2013, 0), y: 52 },
					{ x: new Date(2014, 0), y: 72 },
					{ x: new Date(2015, 0), y: 63 },
					{ x: new Date(2016, 0), y: 20 },
					{ x: new Date(2017, 0), y: 18 }
				]
			}
		]
		}
		return (
		<div>
			<CanvasJSChart options = {options}
				/* onRef={ref => this.chart = ref} */
			/>
			{/*You can get reference to the chart instance as shown above using onRef. This allows you to access all chart properties and methods*/}
		</div>
		);
	}
}
export default App;                              

Chart Customizations

The legends in the above chart are aligned right of chart using verticalAlign and horizontalAlign properties. legendMarkerType, legendText are the other customizations possible.

Note   For step by step instructions, follow our React Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Chart with Index / Data Label
    • Chart with Zooming & Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Combination Charts
    • Chart with Animation
    • Chart with Logarithmic Axis
    • Dynamic Chart
    • Chart with Data from AJAX
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart with Date-Time Axis
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Stacked Bar 100% Chart with Indexlabels
  • COLUMN CHARTS
    • Column Chart with Numeric Axis
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with Indexlabel
    • Waterfall Chart
    • Waterfall Chart with Indexlabels
    • Multi Series Waterfall Chart
  • PIE & DOUGHNUT CHARTS
    • Pie Chart with Index Labels
    • Pie Chart in Dark Theme
    • Doughnut Chart with Index Labels
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Indexlabels
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with Indexlabels
    • Bubble Chart with 3 Dimensional Data
    • Multi Series Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart without Neck
    • Pyramid Chart with Index Labels
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON data
    • Box & Whisker Chart
  • COMBINATION CHARTS
    • Error Bar Chart
    • Pareto Chart
    • Range Area & Line Chart
    • Candlestick & Line Chart
    • OHLC Chart with Trend
  • DYNAMIC CHARTS
    • Dynamic / Live Line Chart
    • Dynamic / Live Column Chart
    • Dynamic / Live Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, REACT, VUE.JS, JQUERY
    • JavaScript Charts
    • React Charts
    • Vue.js Charts
    • jQuery Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Angular Stacked Area 100% Chart

Download Angular Chart Samples
  • Angular Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Vue.js Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Angular Stacked Area 100% Charts are plotted by stacking one series over another. Areas are rendered as a percentage of total value at any given point.

  • Component Code
  • HTML Code
/* app.component.ts */
import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { CommonModule } from '@angular/common';
import { CanvasJSAngularChartsModule } from '@canvasjs/angular-charts';

@Component({
    selector: 'app-root',
    standalone: true,
    imports: [RouterOutlet, CommonModule, CanvasJSAngularChartsModule],
    templateUrl: './app.component.html',
    styleUrl: './app.component.css',
})
export class AppComponent {
    chartOptions = {
        animationEnabled: true,
        title: {
            text: "Products Sold by ACME Ltd."
        },
        exportEnabled: true,
        axisX: {
            title: "Seasons",
            minimum: -0.02,
            maximum: 3.02
        },
        axisY: {
            title: "Sales"
        },
        toolTip: {
            shared: true
        },
        data: [{
            type: "stackedArea100",
            name: "Mosquito Repellents",
            showInLegend: "true",
            color: "#006064",
            toolTipContent: "{label}<br/><span style='\"'color:{color}'\"'>{name}:</span> ${y} (#percent%)",
            dataPoints: [
                { y: 93450, label: "Spring" },
                { y: 61240, label: "Summer" },
                { y: 74120, label: "Autumn" },
                { y: 81450, label: "Fall" }
            ]
        }, {
            type: "stackedArea100",
            name: "Liquid Soap",
            showInLegend: "true",
            color: "#0097A7",
            toolTipContent: "<span style='\"'color:{color}'\"'>{name}:</span> ${y} (#percent%)",
            dataPoints: [
                { y: 30140, label: "Spring" },
                { y: 40170, label: "Summer" },
                { y: 34410, label: "Autumn" },
                { y: 48120, label: "Fall" }
            ]
        }, {
            type: "stackedArea100",
            name: "Napkins",
            showInLegend: "true",
            color: "#00BCD4",
            toolTipContent: "<span style='\"'color:{color}'\"'>{name}:</span> ${y} (#percent%)",
            dataPoints: [
                { y: 55120, label: "Spring" },
                { y: 60350, label: "Summer" },
                { y: 58410, label: "Autumn" },
                { y: 63120, label: "Fall" }
            ]
        }, {
            type: "stackedArea100",
            name: "Sanitizer",
            showInLegend: "true",
            color: "#4DD0E1",
            toolTipContent: "<span style='\"'color:{color}'\"'>{name}:</span> ${y} (#percent%)",
            dataPoints: [
                { y: 51050, label: "Spring" },
                { y: 56100, label: "Summer" },
                { y: 55010, label: "Autumn" },
                { y: 53100, label: "Fall" }
            ]
        }]
    }
}                              
<div>
    <canvasjs-chart [options]="chartOptions" [styles]="{width: '100%', height:'360px'}"></canvasjs-chart>    
</div>                        

Chart Customizations

You can position the legend using horizontalAlign & verticalAlign properties. Color of the shaded region can be changed by setting color property. Other customization options include lineThickness, markerColor, lineColor, etc.

Note   For step by step instructions, follow our Angular Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Basic Chart
    • Chart with Animation
    • Chart with Zooming/Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Logarithmic Axis
    • Chart with JSON Data
    • Dynamic Chart
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Column Chart in Dark Theme
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with IndexLabel
  • PIE & DOUGHNUT CHARTS
    • Pie Chart
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Category Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with 3-Dimensional Data
    • Bubble Chart in Dark Theme
    • Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart with Custom Neck Length
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON Data
    • Box & Whisker Chart
    • Waterfall Chart
  • COMBINATION CHARTS
    • Pareto Chart
    • Error Line Chart
    • Combination of Range Area & Line Chart
    • Combination of Candlestick & Line chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, JQUERY, REACT, ANGULAR
    • JavaScript Charts
    • jQuery Charts
    • React Charts
    • Angular Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Vue.js Stacked Area 100% Chart

Download Vue.js Chart Samples
  • Vue.js Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Angular Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Vuejs stacked area 100% chart with custom axis label & tooltip content formatting.

  • Component
  • Main
/* App.vue */
<script>
export default {
  data() {
    return {
      chart: null,
      options: {
        theme: "light2",
        animationEnabled: true,
        exportEnabled: true,
        title:{
          text: "Global Plastic Wastage by Disposal"
        },
        subtitles: [{
          text: "Estimated share of global plastic waste by disposal method"
        }],
        axisX: {
          valueFormatString: "####"
        },
        axisY: { 
          suffix: "%"
        },
        toolTip: {
          shared: true
        },
        data: [{
          type: "stackedArea100",
          xValueFormatString: "####",
          yValueFormatString: "#,###.##'%'",
          showInLegend: true,
          name: "Discarded",
          dataPoints: [
            { x: 1980, y: 100 },
            { x: 1981, y: 98.3 },
            { x: 1982, y: 97.6 },
            { x: 1983, y: 96.9 },
            { x: 1984, y: 96.2 },
            { x: 1985, y: 95.5 },
            { x: 1986, y: 94.8 },
            { x: 1987, y: 94.1 },
            { x: 1988, y: 92.8 },
            { x: 1989, y: 91.4 },
            { x: 1990, y: 90 },
            { x: 1991, y: 88.6 },
            { x: 1992, y: 87.2 },
            { x: 1993, y: 85.8 },
            { x: 1994, y: 84.4 },
            { x: 1995, y: 83 },
            { x: 1996, y: 81.6 },
            { x: 1997, y: 80.2 },
            { x: 1998, y: 78.8 },
            { x: 1999, y: 77.4 },
            { x: 2000, y: 76 },
            { x: 2001, y: 74.6 },
            { x: 2002, y: 73.2 },
            { x: 2003, y: 71.8 },
            { x: 2004, y: 70.4 },
            { x: 2005, y: 69 },
            { x: 2006, y: 67.6 },
            { x: 2007, y: 66.2 },
            { x: 2008, y: 64.8 },
            { x: 2009, y: 63.4 },
            { x: 2010, y: 62 },
            { x: 2011, y: 60.6 },
            { x: 2012, y: 59.2 },
            { x: 2013, y: 57.8 },
            { x: 2014, y: 56.4 },
            { x: 2015, y: 55 }
          ]
        }, {
          type: "stackedArea100",
          yValueFormatString: "#,###.##'%'",
          showInLegend: true,
          name: "Incinerated",
          dataPoints: [
            { x: 1980, y: 0 },
            { x: 1981, y: 1.7 },
            { x: 1982, y: 2.4 },
            { x: 1983, y: 3.1 },
            { x: 1984, y: 3.8 },
            { x: 1985, y: 4.5 },
            { x: 1986, y: 5.2 },
            { x: 1987, y: 5.9 },
            { x: 1988, y: 6.6 },
            { x: 1989, y: 7.3 },
            { x: 1990, y: 8 },
            { x: 1991, y: 8.7 },
            { x: 1992, y: 9.4 },
            { x: 1993, y: 10.1 },
            { x: 1994, y: 10.8 },
            { x: 1995, y: 11.5 },
            { x: 1996, y: 12.2 },
            { x: 1997, y: 12.9 },
            { x: 1998, y: 13.6 },
            { x: 1999, y: 14.3 },
            { x: 2000, y: 15 },
            { x: 2001, y: 15.7 },
            { x: 2002, y: 16.4 },
            { x: 2003, y: 17.1 },
            { x: 2004, y: 17.8 },
            { x: 2005, y: 18.5 },
            { x: 2006, y: 19.2 },
            { x: 2007, y: 19.9 },
            { x: 2008, y: 20.6 },
            { x: 2009, y: 21.3 },
            { x: 2010, y: 22 },
            { x: 2011, y: 22.7 },
            { x: 2012, y: 23.4 },
            { x: 2013, y: 24.1 },
            { x: 2014, y: 24.8 },
            { x: 2015, y: 25.5 }
          ]
        }, {
          type: "stackedArea100",
          yValueFormatString: "#,###.##'%'",
          showInLegend: true,
          name: "Recycled",
          dataPoints: [
            { x: 1980, y: 0 },
            { x: 1981, y: 0 },
            { x: 1982, y: 0 },
            { x: 1983, y: 0 },
            { x: 1984, y: 0 },
            { x: 1985, y: 0 },
            { x: 1986, y: 0 },
            { x: 1987, y: 0 },
            { x: 1988, y: 0.6 },
            { x: 1989, y: 1.3 },
            { x: 1990, y: 2 },
            { x: 1991, y: 2.7 },
            { x: 1992, y: 3.4 },
            { x: 1993, y: 4.1 },
            { x: 1994, y: 4.8 },
            { x: 1995, y: 5.5 },
            { x: 1996, y: 6.2 },
            { x: 1997, y: 6.9 },
            { x: 1998, y: 7.6 },
            { x: 1999, y: 8.3 },
            { x: 2000, y: 9 },
            { x: 2001, y: 9.7 },
            { x: 2002, y: 10.4 },
            { x: 2003, y: 11.1 },
            { x: 2004, y: 11.8 },
            { x: 2005, y: 12.5 },
            { x: 2006, y: 13.2 },
            { x: 2007, y: 13.9 },
            { x: 2008, y: 14.6 },
            { x: 2009, y: 15.3 },
            { x: 2010, y: 16 },
            { x: 2011, y: 16.7 },
            { x: 2012, y: 17.4 },
            { x: 2013, y: 18.1 },
            { x: 2014, y: 18.8 },
            { x: 2015, y: 19.5 },
          ]
        }]
      }
    }
  }
}
</script>

<template>
    <CanvasJSChart :options="options"/>
</template>                              
/*main.js*/
import { createApp } from 'vue'
import App from './App.vue'

import CanvasJSChart from '@canvasjs/vue-charts';

const app = createApp(App);
app.use(CanvasJSChart); // install the CanvasJS Vuejs Chart Plugin
app.mount('#app');                        

Chart Customizations

In the above example, format of axis-labels are defined by setting valueFormatString property. Similarly, format of x-value & y-value displayed in tooltip are customized by setting xValueFormatString & yValueFormatString properties.

Note   For step by step instructions, follow our Vuejs Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2026 Fenopix Privacy Policy Cookies Policy Careers